Enable an app
Enables an integration app that belongs to your organization so it can obtain tokens again. Consents and tokens revoked when the app was disabled are not restored. An app that is awaiting review or unpublished cannot be enabled. Returns the app.
Token scopes: apps:write
Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-02-02.
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
app_id
Unique identifier of the app.
Headers
X-Beta
Opts in to the beta version of this endpoint. Must be true.
Allowed values:
Response
The enabled app.
data
An app that belongs to your organization.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error